<template>
  <el-container>
    <el-form>
      <el-input
        placeholder="Search your account"
        v-model="keySearch"
        class="input-with-select"
      >
        <el-button
          slot="append"
          icon="el-icon-search"
          @click.prevent="doSearch()"
          >Search</el-button
        >
      </el-input>
    </el-form>
  </el-container>
</template>

<script>
export default {
  data() {
    return {
      keySearch: "",
    };
  },
  methods: {
    /**
     *  Pass key search to parent component
     */
    doSearch() {
      this.$emit("do-search", this.keySearch);
    },
  },
};
</script>

<style scoped>
.el-container {
  justify-content: right;
  margin-bottom: 20px;
}
</style>
